List SCR Snapshots
curl --request GET \
--url https://api.base39.com.br/v2/entities/{id}/scr \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.base39.com.br/v2/entities/{id}/scr"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.base39.com.br/v2/entities/{id}/scr', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"results": [
{
"referenceDate": "<string>",
"noData": true,
"operations": [
{
"modality": "<string>",
"maturityCode": "<string>",
"modalityDescription": "<string>",
"modalityGroupId": "<string>",
"modalityGroupName": "<string>",
"forexVariation": "<string>",
"value": 123
}
],
"clientCode": "<string>",
"relationshipStartDate": "<string>",
"institutionCount": 123,
"operationCount": 123,
"disputedOperationCount": 123,
"subJudiceOperationCount": 123,
"coobrigationAssumed": 123,
"coobrigationReceived": 123,
"noDataMessage": "<string>",
"portfolioDueAmount": 123,
"portfolioOverdueAmount": 123,
"lossAmount": 123,
"creditPortfolioAmount": 123,
"coobligationsAmount": 123,
"totalResponsibilityAmount": 123,
"creditsToReleaseAmount": 123,
"creditLimitsAmount": 123,
"totalRiskAmount": 123,
"sourceDataset": "<string>",
"asOf": "<string>"
}
],
"has_more": true,
"metadata": {
"status": "NOT_QUERIED",
"provenance": {
"datasets": [
{
"datasetSlug": "<string>",
"requirement": "required",
"visible": true,
"onRefresh": true,
"sourcePriority": 123,
"status": "NOT_QUERIED",
"queryId": "<string>",
"observedAt": "<string>",
"recordedAt": "<string>",
"errorCode": "upstream_error"
}
]
},
"summary": "<string>"
},
"next_cursor": "<string>",
"type": "<string>"
}SCR
List SCR Snapshots
GET
/
v2
/
entities
/
{id}
/
scr
List SCR Snapshots
Authorizations
OAuth2 Authorization Code flow
Path Parameters
CPF, CNPJ, or company id (cmp_*)
Query Parameters
Comma-separated optional response fields. Supports "summary.short", "summary.long", and "summary.mdx". Without summary.* the metadata.summary field is omitted.
Response
200 - application/json
Object type identifier
Array of results for current page
Show child attributes
Show child attributes
Whether more results exist beyond this page
Show child attributes
Show child attributes
Opaque cursor for next page. null if no more results.
Type of results (Notion-compatible)
⌘I